Bug 1491093 - FTBFS on ppc64le: error: cannot convert ‘bool’ to ‘__vector(4) __bool int’
Summary: FTBFS on ppc64le: error: cannot convert ‘bool’ to ‘__vector(4) __bool int’
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeorion
Version: 26
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Link Dupont
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-09-13 03:31 UTC by Link Dupont
Modified: 2017-09-30 06:28 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-23 20:21:27 UTC


Attachments (Terms of Use)
build.log from ppc64le (167.00 KB, text/plain)
2017-09-13 03:31 UTC, Link Dupont
no flags Details

Description Link Dupont 2017-09-13 03:31:45 UTC
Created attachment 1325157 [details]
build.log from ppc64le

Description of problem:
freeorion fails to build from source on ppc64le. Multiple occurrences of the following error occur.

error: cannot convert ‘bool’ to ‘__vector(4) __bool int’

They appear to stem from GG.h -> SDL.h which, on ppc64le architectures, include altivec.h. altivec.h redefines some standard C++ types such as `bool`.

See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58241

Version-Release number of selected component (if applicable):
0.4.7.1
0.4.7
0.4.6
...

How reproducible:
Always

Steps to Reproduce:
1. build on ppc64le

Comment 2 Dan Horák 2017-09-13 10:16:43 UTC
and also built in all branches

Comment 3 Fedora Update System 2017-09-14 02:35:15 UTC
freeorion-0.4.7.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-baafe3452a

Comment 4 Fedora Update System 2017-09-14 02:35:28 UTC
freeorion-0.4.7.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d28ca575b5

Comment 5 Fedora Update System 2017-09-14 02:35:36 UTC
freeorion-0.4.7.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7817f581ad

Comment 6 Fedora Update System 2017-09-14 18:22:22 UTC
freeorion-0.4.7.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7817f581ad

Comment 7 Fedora Update System 2017-09-15 04:50:14 UTC
freeorion-0.4.7.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-baafe3452a

Comment 8 Fedora Update System 2017-09-15 04:52:06 UTC
freeorion-0.4.7.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d28ca575b5

Comment 9 Fedora Update System 2017-09-23 20:21:27 UTC
freeorion-0.4.7.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-09-24 04:50:17 UTC
freeorion-0.4.7.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-30 06:28:43 UTC
freeorion-0.4.7.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.